Tags
A Tag is an object that is used when tagging Chats and Messages.
A MessageTagging is a relationship object defining which Messages are tagged with which Tags.
A ChatTagging is a relationship object defining which Chats are tagged with which Tags.
A MessageTaggingEvent is a historical entry object defining which Messages were tagged with which Tags, by which User and when.
A ChatTaggingEvent is a historical entry object defining which Chats were tagged with which Tags, by which User and when.
Assign a Tag to selected Chat.
You cannot create the same Chat + Tag Tagging pair twice, however you can delete and create the same pair again.
A user token, sent as Token <token>. Create a user in the admin panel (group App integration) and get its token from POST /api/v1/auth/token/. The channel API key (D360-Api-Key) is not supported.
ID of related Tag
WhatsApp ID — either a phone number in canonical form (e.g. 48123123123) or a Business-Scoped User ID (e.g. US.13491208655302741918) for users who have hidden their phone number.
Optional additional data. Should not be used on front-end apps. Use only to pass extra data between systems / apps / bots, when Chat is tagged.
ID of related Tag
WhatsApp ID — either a phone number in canonical form (e.g. 48123123123) or a Business-Scoped User ID (e.g. US.13491208655302741918) for users who have hidden their phone number.
Optional additional data. Should not be used on front-end apps. Use only to pass extra data between systems / apps / bots, when Chat is tagged.
POST /api/v1/chat_tagging/ HTTP/1.1
Host: your-stack.inbox.getchat.360dialog.io/
Authorization: Token YOUR_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 36
{
"tag": 1,
"chat": "text",
"extra": null
}{
"id": 1,
"tag": 1,
"chat": "text",
"extra": null
}Get a single Chat Tagging.
A user token, sent as Token <token>. Create a user in the admin panel (group App integration) and get its token from POST /api/v1/auth/token/. The channel API key (D360-Api-Key) is not supported.
A unique integer value identifying this chat tagging.
ID of related Tag
WhatsApp ID — either a phone number in canonical form (e.g. 48123123123) or a Business-Scoped User ID (e.g. US.13491208655302741918) for users who have hidden their phone number.
Optional additional data. Should not be used on front-end apps. Use only to pass extra data between systems / apps / bots, when Chat is tagged.
GET /api/v1/chat_tagging/{id}/ HTTP/1.1
Host: your-stack.inbox.getchat.360dialog.io/
Authorization: Token YOUR_TOKEN
Accept: */*
{
"id": 1,
"tag": 1,
"chat": "text",
"extra": null
}Remove a Tag from a Chat by deleting the Chat Tagging.
A user token, sent as Token <token>. Create a user in the admin panel (group App integration) and get its token from POST /api/v1/auth/token/. The channel API key (D360-Api-Key) is not supported.
A unique integer value identifying this chat tagging.
No response body
No content
DELETE /api/v1/chat_tagging/{id}/ HTTP/1.1
Host: your-stack.inbox.getchat.360dialog.io/
Authorization: Token YOUR_TOKEN
Accept: */*
No response body
No content
List all Chat tagging events for selected Chat
A user token, sent as Token <token>. Create a user in the admin panel (group App integration) and get its token from POST /api/v1/auth/token/. The channel API key (D360-Api-Key) is not supported.
POSIX timestamp.
Returns only events that are older than specified before_time.
This should be used when implementing scroll of the event view from newest to oldest.
Number of results to return per page.
The initial index from which to return the results.
POSIX timestamp.
Returns only events that are at the same timestamp or newer than specified since_time.
Note that, as opposed to before_time param, this param returns messages where timestamp is equal
to the given value.
This should be used when implementing scroll of the event view from oldest to newest.
WhatsApp ID of related Chat
123http://api.example.org/accounts/?offset=400&limit=100http://api.example.org/accounts/?offset=200&limit=100GET /api/v1/chat_tagging_events/ HTTP/1.1
Host: your-stack.inbox.getchat.360dialog.io/
Authorization: Token YOUR_TOKEN
Accept: */*
{
"count": 123,
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100",
"results": [
{
"timestamp": 1,
"action": "added",
"tag": {
"id": 1,
"name": "text",
"web_inbox_color": "text"
},
"chat": "text",
"extra": null,
"done_by": {
"url": "https://example.com",
"id": 1,
"username": "text",
"first_name": "text",
"last_name": "text",
"email": "name@gmail.com",
"profile": {
"role": "user",
"is_available": true
},
"groups": [
{
"id": 1,
"name": "text"
}
],
"permissions": {
"can_use_tags": true,
"can_read_chats": "all",
"can_write_to_chats": "all"
},
"assigned_wa_ids": [
"text"
]
}
}
]
}Assign a Tag to selected Message.
Note that by tagging a Message, corresponding Chat is tagged automatically with the same tag.
You cannot create the same Message + Tag Tagging pair twice, however you can delete and create the same pair again.
A user token, sent as Token <token>. Create a user in the admin panel (group App integration) and get its token from POST /api/v1/auth/token/. The channel API key (D360-Api-Key) is not supported.
This tagging relation ID. Used when deleting a tagging for example.
ID of related Tag
Message ID string known from WABA payload
Optional additional data. Should not be used on front-end apps. Use only to pass extra data between systems / apps / bots, when Message is tagged.
This tagging relation ID. Used when deleting a tagging for example.
ID of related Tag
Message ID string known from WABA payload
Optional additional data. Should not be used on front-end apps. Use only to pass extra data between systems / apps / bots, when Message is tagged.
POST /api/v1/message_tagging/ HTTP/1.1
Host: your-stack.inbox.getchat.360dialog.io/
Authorization: Token YOUR_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 39
{
"tag": 1,
"message": "text",
"extra": null
}{
"id": 1,
"tag": 1,
"message": "text",
"extra": null
}Get a single Message Tagging.
A user token, sent as Token <token>. Create a user in the admin panel (group App integration) and get its token from POST /api/v1/auth/token/. The channel API key (D360-Api-Key) is not supported.
A unique integer value identifying this message tagging.
This tagging relation ID. Used when deleting a tagging for example.
ID of related Tag
Message ID string known from WABA payload
Optional additional data. Should not be used on front-end apps. Use only to pass extra data between systems / apps / bots, when Message is tagged.
GET /api/v1/message_tagging/{id}/ HTTP/1.1
Host: your-stack.inbox.getchat.360dialog.io/
Authorization: Token YOUR_TOKEN
Accept: */*
{
"id": 1,
"tag": 1,
"message": "text",
"extra": null
}Remove a Tag from a Message by deleting the Message Tagging.
A user token, sent as Token <token>. Create a user in the admin panel (group App integration) and get its token from POST /api/v1/auth/token/. The channel API key (D360-Api-Key) is not supported.
A unique integer value identifying this message tagging.
No response body
No content
DELETE /api/v1/message_tagging/{id}/ HTTP/1.1
Host: your-stack.inbox.getchat.360dialog.io/
Authorization: Token YOUR_TOKEN
Accept: */*
No response body
No content
List all Message tagging events for selected Chat or Message
A user token, sent as Token <token>. Create a user in the admin panel (group App integration) and get its token from POST /api/v1/auth/token/. The channel API key (D360-Api-Key) is not supported.
POSIX timestamp.
Returns only events that are older than specified before_time.
This should be used when implementing scroll of the event view from newest to oldest.
Number of results to return per page.
Message ID
The initial index from which to return the results.
POSIX timestamp.
Returns only events that are at the same timestamp or newer than specified since_time.
Note that, as opposed to before_time param, this param returns messages where timestamp is equal
to the given value.
This should be used when implementing scroll of the event view from oldest to newest.
WhatsApp ID of related Chat
123http://api.example.org/accounts/?offset=400&limit=100http://api.example.org/accounts/?offset=200&limit=100GET /api/v1/message_tagging_events/ HTTP/1.1
Host: your-stack.inbox.getchat.360dialog.io/
Authorization: Token YOUR_TOKEN
Accept: */*
{
"count": 123,
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100",
"results": [
{
"timestamp": 1,
"action": "added",
"tag": {
"id": 1,
"name": "text",
"web_inbox_color": "text"
},
"message": "text",
"extra": null,
"done_by": {
"url": "https://example.com",
"id": 1,
"username": "text",
"first_name": "text",
"last_name": "text",
"email": "name@gmail.com",
"profile": {
"role": "user",
"is_available": true
},
"groups": [
{
"id": 1,
"name": "text"
}
],
"permissions": {
"can_use_tags": true,
"can_read_chats": "all",
"can_write_to_chats": "all"
},
"assigned_wa_ids": [
"text"
]
}
}
]
}List all Tags that can be used on Chats and Messages.
A user token, sent as Token <token>. Create a user in the admin panel (group App integration) and get its token from POST /api/v1/auth/token/. The channel API key (D360-Api-Key) is not supported.
Number of results to return per page.
The initial index from which to return the results.
123http://api.example.org/accounts/?offset=400&limit=100http://api.example.org/accounts/?offset=200&limit=100GET /api/v1/tags/ HTTP/1.1
Host: your-stack.inbox.getchat.360dialog.io/
Authorization: Token YOUR_TOKEN
Accept: */*
{
"count": 123,
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100",
"results": [
{
"id": 1,
"name": "text",
"web_inbox_color": "text"
}
]
}Create a new Tag that can be later used to tag Messages or Chats
A user token, sent as Token <token>. Create a user in the admin panel (group App integration) and get its token from POST /api/v1/auth/token/. The channel API key (D360-Api-Key) is not supported.
A Web App related setting - which color to show on the Web App frontend
A Web App related setting - which color to show on the Web App frontend
POST /api/v1/tags/ HTTP/1.1
Host: your-stack.inbox.getchat.360dialog.io/
Authorization: Token YOUR_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 40
{
"name": "text",
"web_inbox_color": "text"
}{
"id": 1,
"name": "text",
"web_inbox_color": "text"
}Delete a Tag. It is removed from every Chat and Message that has it.
A user token, sent as Token <token>. Create a user in the admin panel (group App integration) and get its token from POST /api/v1/auth/token/. The channel API key (D360-Api-Key) is not supported.
A unique integer value identifying this tag.
No response body
No content
DELETE /api/v1/tags/{id}/ HTTP/1.1
Host: your-stack.inbox.getchat.360dialog.io/
Authorization: Token YOUR_TOKEN
Accept: */*
No response body
No content
Last updated
Was this helpful?